/*  
''    Script Name: YUV_ExpandSS
''    Author: okuno hiroyuki
''    Last Updated: Jun 26, 2007
''   
''    (c) Sweetberry Studio 2007
''    mail: hiro@sweetberry.com
''    */

image YUV_ExpandSS(
image input=0,

string Preset="4:2:2"

)
{
	float x_compressor = 1;
	float y_compressor = 1;
	
	if(Preset == "4:2:2")
	{
		x_compressor = 2;
		y_compressor = 1;
	}	
	else if(Preset == "4:2:0")
	{
		x_compressor = 2;
		y_compressor = 2;

	}
	else if(Preset == "4:1:1")
	{
		x_compressor = 4;
		y_compressor = 1;

	}
    ColorSpace1 = ColorSpace(input, "rgb", "yuv", 0.3, 0.59, 0.11);
    Move2D1 = Move2D(ColorSpace1, 0, 0, 0, 1, 1/x_compressor, 1/y_compressor, 0, 0, width/2, height/2, "box", xFilter, "trsx", 0, 0, 0.5, 0, 0, time);
    Over1 = Over(Move2D1, 0, 1, 0, 0);
    Move2D2 = Move2D(Over1, 0, 0, 0, 1, 1/x_compressor, 1/y_compressor, 0, 0, width/2, height/2, "gauss", "gauss", "trsx", 1, 0, 0.5, 0, 0, time);
    Copy1 = Copy(Move2D2, ColorSpace1, 1, "r", 0);
    ColorSpace2 = ColorSpace(Copy1, "yuv", "rgb", 0.3, 0.59, 0.11);
    
    return ColorSpace2;
}

